Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Auswahlsatz erstellen (KP)

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Auswahlsatz erstellen (KP) (1237 mal gelesen)
Björn Möller
Mitglied



Sehen Sie sich das Profil von Björn Möller an!   Senden Sie eine Private Message an Björn Möller  Schreiben Sie einen Gästebucheintrag für Björn Möller

Beiträge: 91
Registriert: 22.03.2004

AutoCad Map 2012,Topobase 2,Rasterdesign

erstellt am: 05. Nov. 2012 08:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Forum,

ich suchte, aber fand nicht.

Ich möchte einen Auswahlsatz erstellen, ähnlich dem "KP" von kreuzen Polygon, aber dabei möchte ich auf eine bestehende Polylinie zurück greifen und nicht wie in dem KP-Befehl "live" digitalisieren.

Habt Ihr einen Tipp, wie ich eine Lösung im Forum finde oder gibt es vielleicht sogar eine direkte Autocad-Lösung.

Gruß Björn

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13436
Registriert: 30.11.2003

.

erstellt am: 05. Nov. 2012 08:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Björn Möller 10 Unities + Antwort hilfreich

eine direkte Autocadlösung gibt es nicht ... du mußt von der Polylinie die Stützpunkte ermitteln und diese dann an die ssget-Funktion übergeben
z.B.
>>hier<< war schon mal das Thema ... mit einer lsp Lösung für LW-Polylinien und einer vlx-lösung für alle möglichen Kurven


------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Björn Möller
Mitglied



Sehen Sie sich das Profil von Björn Möller an!   Senden Sie eine Private Message an Björn Möller  Schreiben Sie einen Gästebucheintrag für Björn Möller

Beiträge: 91
Registriert: 22.03.2004

AutoCad Map 2012,Topobase 2,Rasterdesign

erstellt am: 05. Nov. 2012 10:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Thomas,

für Deine schnelle Hilfe.

Gruß Björn

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
Ruheständler


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5845
Registriert: 16.09.2004

WINDOWS Vista Ultimate SP2 (64bit), NVIDIA Geforce 9600M GT, AutoCAD 2013.

erstellt am: 05. Nov. 2012 10:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Björn Möller 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von CADmium:

... einer vlx-lösung für alle möglichen Kurven


Hallo Thomas,

die "curvessget.vlx" funktioniert wie ein F-Fenster. Läßt sich da noch eine Abfrage einbauen, daß der User zwischen einer F- und einer K-(Kreuzen-)Umgrenzung wählen kann? (Ich weiß nicht ob Du selbst der Autor warst).

Jürgen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13436
Registriert: 30.11.2003

.

erstellt am: 05. Nov. 2012 11:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Björn Möller 10 Unities + Antwort hilfreich

ja .. könnte man( ich ) machen ...

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Björn Möller
Mitglied



Sehen Sie sich das Profil von Björn Möller an!   Senden Sie eine Private Message an Björn Möller  Schreiben Sie einen Gästebucheintrag für Björn Möller

Beiträge: 91
Registriert: 22.03.2004

AutoCad Map 2012,Topobase 2,Rasterdesign

erstellt am: 05. Nov. 2012 11:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Jupa,

ich hab gerade für meine Zwecke Deine Abfrage umgesetzt. Und hoffe das dies auch für Thomas i.O. ist.
Gruß Björn

Code:

(defun c:vox-sel-obj-in-poly ( / )
  (INITGET "KP FP")
  (SETQ BJ:ART (GETKWORD "\nAuswahl über Kreuzen-Polygon [KP] oder Fenster-Polygon [FP] <KP>: "))
  (IF (= BJ:ART "FP")
      (sssetfirst nil (ssget "_WP" (vox-get-lwp-points (car (entsel "\nLWPOLYLINE wählen:")))))
      (sssetfirst nil (ssget "_CP" (vox-get-lwp-points (car (entsel "\nLWPOLYLINE wählen:")))))
  );END IF

)
(defun vox-get-lwp-points (ele)
  (mapcar 'cdr  (vl-remove-if '(lambda(x) (/= (car x) 10)) (entget ele)))
)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13436
Registriert: 30.11.2003

.

erstellt am: 05. Nov. 2012 11:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Björn Möller 10 Unities + Antwort hilfreich

Das Teil war von Henning ... aber ist ok so ! Danke fürs posten.

Die vlx ist da etwas aufwendiger wegen Bögen und so... die Änderung aber nicht, ich muss sie ( wenn Zeit oder anderweitiger "Druck") bloß mal einarbeiten.. 

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fuchsi
Mitglied
Programmierer c#.net Datawarehouse


Sehen Sie sich das Profil von fuchsi an!   Senden Sie eine Private Message an fuchsi  Schreiben Sie einen Gästebucheintrag für fuchsi

Beiträge: 1201
Registriert: 14.10.2003

AutoCad Version 2012 deu/enu
<P>Windows 7 64bit

erstellt am: 05. Nov. 2012 11:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Björn Möller 10 Unities + Antwort hilfreich

Wobei zu beachten ist, dass ssget mit "_CP" oder "_WP" nur mit Polygonzügen funktioniert, die komplett am Bildschirm sichtbar sind.


Oder hat sich das was ind en letzten Versionen geändert.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13436
Registriert: 30.11.2003

.

erstellt am: 05. Nov. 2012 11:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Björn Möller 10 Unities + Antwort hilfreich

nein ... ein allgemeines Tool sollte so gut sein .. zwischendurch auf die maximalen Koordinaten zu zoomen und anschließend wieder auf den alten Ausschnitt zurück...

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
Ruheständler


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5845
Registriert: 16.09.2004

WINDOWS Vista Ultimate SP2 (64bit), NVIDIA Geforce 9600M GT, AutoCAD 2013.

erstellt am: 05. Nov. 2012 11:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Björn Möller 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von CADmium:
... und anschließend wieder auf den alten Ausschnitt zurück...


DAS macht's bei mir nicht. Aber ein Zoom - Vorher kriege ich gerade noch hin ;-)

Jürgen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13436
Registriert: 30.11.2003

.

erstellt am: 05. Nov. 2012 12:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Björn Möller 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von jupa:

DAS macht's bei mir nicht. Aber ein Zoom - Vorher kriege ich gerade noch hin ;-)

Jürgen


.. ich weiß ... hab ja auch nur den Idealfall beschrieben und nicht, das ich ihn damals auch zu 100% umgesetzt hab..

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Eryk
Mitglied
Bautechniker


Sehen Sie sich das Profil von Eryk an!   Senden Sie eine Private Message an Eryk  Schreiben Sie einen Gästebucheintrag für Eryk

Beiträge: 42
Registriert: 16.05.2003

Infrastructure Design Suite 20xx,
Win10 Pro, 64 Bit

erstellt am: 12. Mrz. 2020 16:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Björn Möller 10 Unities + Antwort hilfreich

Hallo @all,

ich bin mir bewußt, dass es ein alter Beitrag ist, jedoch interessiere ich mich sehr für diese LISP.
Habe eine "kleine" Störung im C3D 2020:

Der Befehl funktioniert nur ein mal in der Zeichnung, führe ich den Befehl erneut - in der selben Zeichnung - aus erhalte ich keine Auswahl. 

Diese VLX funktioniert einwandfrei:
http://ww3.cad.de/foren/ubb/uploads/CADmium/CURVESSGET.VLX.txt

Vielleicht liegt es auch - bei mir - am CORONA-VIRUS 

Für Hilfe bin ich dankbar.

VG
Eryk


Zitat:
Original erstellt von Björn Möller:
Hallo Jupa,

ich hab gerade für meine Zwecke Deine Abfrage umgesetzt. Und hoffe das dies auch für Thomas i.O. ist.
Gruß Björn

Code:

(defun c:vox-sel-obj-in-poly ( / )
  (INITGET "KP FP")
  (SETQ BJ:ART (GETKWORD "\nAuswahl über Kreuzen-Polygon [KP] oder Fenster-Polygon [FP] <KP>: "))
  (IF (= BJ:ART "FP")
      (sssetfirst nil (ssget "_WP" (vox-get-lwp-points (car (entsel "\nLWPOLYLINE wählen:")))))
      (sssetfirst nil (ssget "_CP" (vox-get-lwp-points (car (entsel "\nLWPOLYLINE wählen:")))))
  );END IF

)
(defun vox-get-lwp-points (ele)
  (mapcar 'cdr  (vl-remove-if '(lambda(x) (/= (car x) 10)) (entget ele)))
)


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz